/**********************************************************************************************
    Copyright (C) 2009 Oliver Eichler oliver.eichler@gmx.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

**********************************************************************************************/

#include "CDlgMap.h"
#include "CMapDB.h"
#include "CMapRaster.h"

#include <QtGui>

CDlgMap::CDlgMap(QWidget * parent)
: QWidget(parent)
{
    setupUi(this);
    connect(pushRebuildMapDB, SIGNAL(clicked()), &CMapDB::self(), SLOT(slotRebuildDB()));
    connect(&CMapDB::self(), SIGNAL(sigChanged()), this, SLOT(slotDBChanged()));

    slotDBChanged();
}


CDlgMap::~CDlgMap()
{

}


void CDlgMap::slotDBChanged()
{
    CMapDB::map_list_item_t map;
    QList<CMapDB::map_list_item_t> maps;
    CMapDB::self().getAvailableMaps(maps);

    listMaps->clear();
    foreach(map, maps) {
        QListWidgetItem * item = new QListWidgetItem(listMaps);
        item->setText(map.name);
        item->setData(Qt::UserRole, map.id);
    }

    listMaps->sortItems();
}
